
package com.topcoder.message.im.connection;
import com.topcoder.message.im.connection.GenericSocketConnection;

/**
 * <p>DirectSocketConnection sends message to socket on a remote address and port. It is a persistent connection. It could be used to create a chat session between two clients, or create a channel to a chat service that will distribute the messages to the named recipients.</p>
 * <p>DirectSocketConnection has an openGenericConnection() method that could create a generic connection and shares the same listener with the direct connection.</p>
 * <p>Methods should synchronize on the class instance.</p>
 * 
 */
public class DirectSocketConnection {

 }
