
package com.topcoder.message.im.connection;

/**
 * <p>ConnectionFactoryException is thrown for any reason ConnectionFactory can not instantiate a connection the user requests. It has constructor to encapsulate an inner exception. Possible causes are, missing class name, class name does not map to a Connection implementation or it misses the constructor contract.</p>
 * 
 */
public class ConnectionFactoryException extends com.topcoder.message.im.InstantMessagingException {

/**
 * <p>Create instance with error message.</p>
 * 
 * 
 * 
 * 
 * @param message the error message
 */
    public  ConnectionFactoryException(String message) {        
        // your code here
    } 

/**
 * <p>Create instance with error message and inner exception.</p>
 * 
 * 
 * 
 * 
 * @param message the error message
 * @param innerException the inner exception
 */
    public  ConnectionFactoryException(String message, Exception innerException) {        
        // your code here
    } 
 }
