
package com.topcoder.message.im;

/**
 * <p>ConnectionInitializationException is thrown when connection can not be initialized. Possible causes are invalid configuration, port already occupied or any implementation specific failure.</p>
 * 
 */
public class ConnectionInitializationException extends com.topcoder.message.im.InstantMessagingException {

/**
 * <p>Create instance with error message.</p>
 * 
 * 
 * 
 * 
 * @param message the error message
 */
    public  ConnectionInitializationException(String message) {        
        super(message);
    } 

/**
 * <p>Create instance with error message and inner exception.</p>
 * 
 * 
 * 
 * 
 * @param message the error message
 * @param innerException the inner exception
 */
    public  ConnectionInitializationException(String message, Exception innerException) {        
        super(message, innerException);
    } 
 }
